## visad.math
Class Histogram

    java.lang.Object
      visad.math.Histogram

public class Histogram
extends Object

Histogram is the VisAD class for creating histograms of Field values.

Constructor Summary
`Histogram()`

Method Summary
`static void` `main(String[] args)`
`static FlatField` `makeHistogram(Data[] datums)` invoke in SpreadSheet by: link(visad.math.Histogram.makeHistogram(A1, A2))
`static FlatField` `makeHistogram(Field field, Set set)` return a histogram of field range values in "bins" defined by the samples of set

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Histogram

    public Histogram()

Method Detail

### makeHistogram

    public static FlatField makeHistogram(Data[] datums)

  invoke in SpreadSheet by: link(visad.math.Histogram.makeHistogram(A1, A2))

### makeHistogram

    public static FlatField makeHistogram(Field field,
                                          Set set)
                                   throws VisADException,
                                          RemoteException

  return a histogram of field range values in "bins" defined by the samples of set

  Throws:
    `VisADException`
    `RemoteException`

### main

    public static void main(String[] args)
                     throws VisADException,
                            RemoteException

  Throws:
    `VisADException`
    `RemoteException`